givprint.h File Reference

helper print for containers More...

`#include <iostream>`
`#include <iterator>`
`#include <vector>`
`#include <list>`
`#include <set>`
Include dependency graph for givprint.h:

## Namespaces

namespace | std
| STL namespace.

## Functions

template<class T, typename A = std::allocator<T>>
std::ostream & | operator<< (std::ostream &out, const std::vector< T, A > &V)
| Prints a vector on output.
template<class S, class T>
std::ostream & | operator<< (std::ostream &out, const std::pair< S, T > &C)
| Prints a pair.
template<class T, typename A = std::allocator<T>>
std::ostream & | operator<< (std::ostream &out, const std::list< T, A > &L)
| Prints a list.
template<class T, typename A = std::allocator<T>>
std::ostream & | operator<< (std::ostream &out, const std::set< T, A > &S)
| Prints a set.

## Detailed Description

helper print for containers